<?xml version="1.0" encoding="UTF-8"?>
<odoo>
  <record id="subscription_request_tree" model="ir.ui.view">
    <field name="name">subscription.request.tree</field>
    <field name="model">subscription.request</field>
    <field name="inherit_id" ref="easy_my_coop.subscription_request_tree" />
    <field name="arch" type="xml">
      <field name="name" position="before">
        <field name="id" widget="open_tab"/>
      </field>
      <field name="company_name" position="after">
        <field name="vat" />
      </field>
    </field>
  </record>
  <record id="subscription_request_form" model="ir.ui.view">
    <field name="name">subscription.request.form</field>
    <field name="model">subscription.request</field>
    <field name="inherit_id" ref="easy_my_coop.subscription_request_form" />
    <field name="arch" type="xml">
      <button name="validate_subscription_request" position="after">
        <button type="object" string="Block" aria-label="Block" name="block_subscription_request" states="draft" groups="easy_my_coop.group_easy_my_coop_user"/>
      </button>
      <button name="validate_subscription_request" position="after">
        <button type="object" string="Unblock" aria-label="Unblock" name="unblock_subscription_request" states="block" groups="easy_my_coop.group_easy_my_coop_user"/>
      </button>
      <button name="put_on_waiting_list" position="attributes">
        <attribute name="invisible">1</attribute>
      </button>
      <button name="cancel_subscription_request" position="after">
        <button name="reopen_subscription_request"
          string="Reopen"
          type="object"
          states="cancelled"
          groups="somconnexio.group_somconnexio_admin"
        />
      </button>

      <field name="already_cooperator" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="ordered_parts" position="attributes">
        <attribute name="attrs">
          {'required': [('type','not in', ['sponsorship', 'sponsorship_coop_agreement'])],
           'readonly': 1}
        </attribute>
      </field>
      <field name="share_product_id" position="attributes">
        <attribute name="attrs">
          {'required': [('type','not in', ['sponsorship', 'sponsorship_coop_agreement'])],
           'readonly': 1}
        </attribute>
      </field>
      <field name="subscription_amount" position="attributes">
        <attribute name="attrs">{'readonly': 1}</attribute>
      </field>
      <field name="share_product_id" position="after">
        <field name="payment_type" attrs="{'required': [('type','=','new')], 'invisible': [('type','!=','new')]}"/>
      </field>
      <field name="type" position="after">
        <field name="coop_agreement_id" attrs="{'required': [('type','=','sponsorship_coop_agreement')], 'invisible': [('type','!=','sponsorship_coop_agreement')]}"/>
        <field name="discovery_channel_id"/>
      </field>
      <field name="city" position="after">
        <field name="state_id"/>
      </field>
      <field name="gender" position="after">
        <field name="nationality"/>
      </field>
      <field name="capital_release_request_date" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="share_short_name" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="share_unit_price" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="voluntary_contribution" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="skip_control_ng" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="internal_rules_approved" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="data_policy_approved" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="financial_risk_approved" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="company_type" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="company_register_number" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="contact_person_function" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="company_email" position="attributes">
        <attribute name="invisible">1</attribute>
      </field>
      <field name="name" position="attributes">
        <attribute name="invisible">1</attribute>
        <attribute name="required">0</attribute>
      </field>
      <field name="company_name" position="attributes">
        <attribute name="attrs">{'invisible': [('is_company', '=', False)], 'required': [('is_company', '=', True)]}</attribute>
      </field>
      <field name="firstname" position="attributes">
        <attribute name="attrs">{'invisible': [('is_company', '=', True)], 'required': [('is_company', '=', False)]}</attribute>
      </field>
      <field name="lastname" position="attributes">
        <attribute name="attrs">{'invisible': [('is_company', '=', True)], 'required': [('is_company', '=', False)]}</attribute>
      </field>
      <field name="partner_id" position="attributes">
        <attribute name="domain">[('member', '=', False),('customer', '=', True),('parent_id', '=', False)]</attribute>
      </field>
      <field name="vat" position="attributes">
        <attribute name="required">1</attribute>
      </field>
      <xpath expr="//sheet" position="after">
        <div class="oe_chatter">
          <field name="message_follower_ids" widget="mail_followers"/>
          <field name="message_ids" widget="mail_thread"/>
        </div>
      </xpath>
      <field name="ordered_parts" position="before">
        <field name="type" position="move" />
      </field>
    </field>
  </record>
</odoo>
